Subject: bug#50143: 28.0.50; Various issues with `tamil-itrans' input method

From: Visuwesh <[email-masked]>
Date: Thu, 17 Feb 2022 07:44:52 +0530

[புதன், பிப்ரவரி 16 2022] Eli Zaretskii wrote:

>> From: Visuwesh <[email-masked]>
>> Cc: Ramesh Nedunchezian <[email-masked]>,
>>   [email-masked]
>> Date: Tue, 15 Feb 2022 17:31:31 +0530
>> 
>> I wanted to send a patch so I took a quick look at ind-util.el, and ISTM
>> that the hashtable `indian-tml-itrans-v5-hash' is calculated just once?
>> Unfortunately, I don't understand the dances in ind-util.el,
>> lisp/leim/indian.el, etc. so I'm afraid I cannot be of any help here.
>> 
>> [ It should be a simple change if we don't make it a defcustom AFAIU.  ]
>> 
>> >>      `indian-make-hash' is used by many indic scripts, so I am not
>> >>      sure if other indian language users would have a need for
>> >>      inputting native decimal digits.  I--as a representative of Tamil
>> >>      speakers--can say that we don't need that ON by default.
>> >
>> > We can use this for Tamil only for now, and wait for users of other
>> > languages to chime in.
>> >
>> > Thanks.
>> 
>> As a native Tamil speaker, I can attest that contemporary text uses the
>> Arabic numerals (in fact, Tamil digits are mentioned as a matter of fact
>> in schools).  I'm not sure about the situation in Sri Lanka, tho.
>
> It sounds like a better way forward would be to define a separate
> input method, so that the existing input method is preserved and can
> be used if someone wants the current transliterations.
>
> So my suggestions would be:
>
>  1. For your items 1 and 3, just copy indian-tml-base-table to a new
>     variable, modify it to include the two missing characters and
>     replace the digits with nil, add a new variable similar to
>     indian-tml-itrans-v5-hash, and compute its value like we do with
>     indian-tml-itrans-v5-hash, but using the new table instead of
>     indian-tml-base-table.  Then make a new input method, called, say,
>     tamil-itrans-alt, which would use the new hash variable instead of
>     indian-tml-itrans-v5-hash.  Submit these changes as patches to
>     lisp/language/ind-util.el and lisp/leim/quail/indian.el.
>

Would it alright to change the default input method used in the Tamil
language environment to the new IM without digit translation?

>  2. For your item 2, submit a patch that fixes the docstring of the
>     relevant input methods.
>
> Would that work for you?  Can you prepare such patches?

Yes, that would be satisfactory.  I will look into it in the coming
weekend.  Thanks.